Index: code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10756)
+++ code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10758)
@@ -5,6 +5,4 @@
     screenshot = "missionOne.png"
 />
-
-<!-- Coordinatesystem as following: (y, z, x) -->
 
 <?lua
@@ -61,5 +59,5 @@
 
     <GlobalQuest id="quest1">
-        <QuestDescription title="Reach the Station A!" description="Commander we observed some alien activity on our radars. We suppose they want to attack our shuttle! You need to upgrade your spaceship. So hurry up and move your ass to this dock on your [direction] side!" failMessage="" completeMessage="Good job, we still have some time to prepare for their attack." />
+        <QuestDescription title="Reach the Station A!" description="" failMessage="" completeMessage="" />
         <hints>
             <QuestHint id="quest1hint1" />
@@ -186,7 +184,11 @@
     </EventMultiTrigger>
 
-    <!-- TODO: fictive unit; to be added later -->
-    <DistanceTrigger name="joinedUnit" position="3000,-2000,0" distance=100 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true />
-    <Billboard position="3000,-1000,0" amplitude=1 material="Flares/lensflare" colour="1,0,0.05" />     <!-- For debugging puropses -->
+    <DistanceTrigger name="joinedUnit" active=false position="3000,-2000,0" distance=100 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true>
+        <events>
+            <activity>
+                    <EventListener event="dockedA" />
+            </activity>
+        </events>
+    </DistanceTrigger>
 
     <EventMultiTrigger name="wave1" activations="1" stayactive="true" delay=4>
@@ -423,5 +425,5 @@
     <!-- (Temporary) Template for stations. Used to define common features of all Stations. -->
     <Template name="station">
-        <Pawn mass=10000000 collisionType=dynamic friction=0.01>
+        <Pawn mass=10000 collisionType=dynamic friction=0.01>
           <attached>
             <Model mesh="HydroHarvester.mesh" position="0,0,0" scale=50 />
@@ -554,5 +556,5 @@
 
     <!-- FPS Player as destination of dock C-->
-    <FpsPlayer team=0 template = "fps" rotationaxis="0,0,1" radarname="First Person Player" position="0,-2300,1201">
+    <FpsPlayer team=0 template = "fps" rotationaxis="0,0,1" radarname = "First Person Player" position = "0,-2300,1201">
         <attached>
             <DockingTarget name="fpsMode" />
@@ -642,5 +644,5 @@
     ?>
 
-    <!-- ws, 3000,-2000 -->
+    <!-- Allies, 3000,-2000 -->
     <?lua
     for i = 1, allies, 1
@@ -665,8 +667,5 @@
         </attached>
         <controller>
-            <WaypointPatrolController accuracy=1000 name="allyController" alertnessradius=500 team=0 active=false>
-                <waypoints>
-                    <StaticEntity position="0,0,0" />
-                </waypoints>
+            <WaypointPatrolController accuracy=100 name="allyController" alertnessradius=5000 team=0 active=false>
                 <events>
                     <activity>
@@ -685,12 +684,8 @@
     ?>
     <?lua
-    for j = enemies, enemies+(3*waves), 3
+    for i = 1, enemies, 1
     do
-    ?>
-    <?lua
-    for i = 1, j, 1
-    do
-    x = math.cos(math.pi/(8+4*(k-1))*(i+1))*1500
-    y = math.sin(math.pi/(8+4*(k-1))*(i+1))*1500
+    x = math.cos(math.pi/(8)*(i+1))*1500
+    y = math.sin(math.pi/(8)*(i+1))*1500
     ?>
     <SpaceShip visible=false active=false name="attackers<?lua print(k)?>" radarname="Attacker" position="<?lua print(x)?>,<?lua print(y)?>,<?lua print(math.pow(-1,i)*250) ?>" lookat="0,0,0" team=1>
@@ -710,5 +705,5 @@
         </attached>
         <controller>
-            <WaypointPatrolController name="attackController" accuracy=100 alertnessradius=200 team=1 active=false>
+            <WaypointPatrolController name="attackController" accuracy=100 alertnessradius=100 team=1 active=false>
                 <waypoints>
                     <Attacher target="transporter" deletewithparent=false />
@@ -724,5 +719,4 @@
     <?lua end ?>
     <?lua end ?>
-    <?lua end ?>
 
 
